[arch-commits] Commit in ocfs2-tools/repos (3 files)

Tobias Powalowski tpowa at archlinux.org
Thu Apr 9 06:07:36 EDT 2009


    Date: Thursday, April 9, 2009 @ 06:07:36
  Author: tpowa
Revision: 34411

Merged revisions 356,34410 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/ocfs2-tools/trunk

........
  r356 | aaron | 2008-04-19 00:56:27 +0200 (Sa, 19 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r34410 | tpowa | 2009-04-09 12:06:55 +0200 (Do, 09 Apr 2009) | 1 line
  
  upgpkg: ocfs2-tools 1.4.1-1
........

Added:
  ocfs2-tools/repos/extra-x86_64/ocfs2-build.patch
    (from rev 34410, ocfs2-tools/trunk/ocfs2-build.patch)
Modified:
  ocfs2-tools/repos/extra-x86_64/	(properties)
  ocfs2-tools/repos/extra-x86_64/PKGBUILD

-------------------+
 PKGBUILD          |   30 +++++++++++++++++-------------
 ocfs2-build.patch |   10 ++++++++++
 2 files changed, 27 insertions(+), 13 deletions(-)


Property changes on: ocfs2-tools/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /ocfs2-tools/trunk:1
   + /ocfs2-tools/trunk:1-34410

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-09 10:06:55 UTC (rev 34410)
+++ extra-x86_64/PKGBUILD	2009-04-09 10:07:36 UTC (rev 34411)
@@ -1,23 +1,27 @@
 # $Id$
 # Maintainer: Tobias Powalowski <tpowa at archlinux.org>
 pkgname=ocfs2-tools
-pkgver=1.2.4
+pkgver=1.4.1
 pkgrel=1
 pkgdesc="Oracle Cluster File System 2 utilities"
 arch=(i686 x86_64)
 url="http://oss.oracle.com/projects/ocfs2-tools/"
 depends=('e2fsprogs' 'glib2')
-license=('GPL')
-source=(http://oss.oracle.com/projects/ocfs2-tools/dist/files/source/v1.2/$pkgname-$pkgver.tar.gz)
-
+license=('GPL2')
+source=(http://oss.oracle.com/projects/ocfs2-tools/dist/files/source/v1.4/$pkgname-$pkgver.tar.gz
+        ocfs2-build.patch)
+options=(!makeflags)
+optdepends=('python: for using ocfs2console')
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr
-  make -j1 LDFLAGS=-L/usr/lib || return 1
-  make DESTDIR=$startdir/pkg install
-  install -m 755 -D $startdir/src/$pkgname-$pkgver/vendor/common/ocfs2.init \
-	$startdir/pkg/etc/rc.d/ocfs2
-  install -m 755 -D $startdir/src/$pkgname-$pkgver/vendor/common/o2cb.init \
-	$startdir/pkg/etc/rc.d/o2cb
+  cd $srcdir/$pkgname-$pkgver
+  patch -Np0 -i ../ocfs2-build.patch || return 1
+  ./configure --prefix=/usr --mandir=/usr/share/man
+  make LDFLAGS=-L/usr/lib || return 1
+  make DESTDIR=$pkgdir install
+  install -m 755 -D $srcdir/$pkgname-$pkgver/vendor/common/ocfs2.init \
+	$pkgdir/etc/rc.d/ocfs2
+  install -m 755 -D $srcdir/$pkgname-$pkgver/vendor/common/o2cb.init \
+	$pkgdir/etc/rc.d/o2cb
 }
-md5sums=('f0998db9e2b3b8cca7bd1963cb1ad2b8')
+md5sums=('92f4f9f16c3f74307ad508f5e6a300a1'
+         'fa095cdad5e1f4e3ea3ae31995dc2263')

Copied: ocfs2-tools/repos/extra-x86_64/ocfs2-build.patch (from rev 34410, ocfs2-tools/trunk/ocfs2-build.patch)
===================================================================
--- extra-x86_64/ocfs2-build.patch	                        (rev 0)
+++ extra-x86_64/ocfs2-build.patch	2009-04-09 10:07:36 UTC (rev 34411)
@@ -0,0 +1,10 @@
+--- libo2cb/client_proto.c~	2009-04-09 11:53:05.000000000 +0200
++++ libo2cb/client_proto.c	2009-04-09 11:53:05.000000000 +0200
+@@ -17,6 +17,7 @@
+ #include <sys/types.h>
+ #include <sys/socket.h>
+ #include <sys/un.h>
++#include <limits.h>
+ 
+ #include "o2cb/o2cb_client_proto.h"
+ 



More information about the arch-commits mailing list